/*
 * main.c
 *
 *
 */

#include <stdio.h>
#include <inttypes.h>

#include "drivers/mss_watchdog/mss_watchdog.h"
#include "drivers/mss_uart/mss_uart.h"
#include "drivers/CoreSPI/spi.h"


int main()
{
	uint8_t i;
	uint8_t pinStatus;

    /* Watchdog Disabling function*/
    MSS_WD_disable();

    /* Initialize I/O. */
    MSS_GPIO_init();
	MSS_GPIO_config( MSS_GPIO_7, MSS_GPIO_INPUT_MODE ); // sfd


    /* Init SPI */
    spi_init();
    CSN_set(); // assure line high
    pinStatus = (MSS_GPIO_get_inputs() & MSS_GPIO_7_MASK)>>MSS_GPIO_7;

    if(CSN_get() != pinStatus)
    {
    	printf("CSN_get and/or CSN_set not working\n\r");
    }

    while(1)
    {
    	CSN_clr();
        pinStatus = (MSS_GPIO_get_inputs() & MSS_GPIO_7_MASK)>>MSS_GPIO_7;
    	if(CSN_get() != pinStatus)
    	{
    		printf("CSN_get and/or CSN_clr not working\n\r");
    	}
    	for(i=0; i<255; i++)
    	{
    		if(SpiByte_write(i) != i)
    		{
    			printf("SpiByte_write not working or loopback not configured\n\r");
    		}
    	}
		printf("Done\n\r");
    	while(1)
    	{
    		__asm("nop;");
    	}
    }

    return 0;
}
